/*************************************************************************
 *
 *    (c) Olimex Ltd. 2010
 *
 *    File name   : Mp3PlayerTask.c
 *    Description : implementation of the mass storage device superloop
 *
 *    History :
 *    1. Date        : 18 May 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/
#include "includes.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
__no_init Int8U Lun0Buffer[2048];

/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/
/* External function prototypes -----------------------------------------------*/
// NOTE: It is not recommended to put anything here!!!

/*******************************************************************************
* Function Name  : __
* Description    : __
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void MassStorageTask(void)
{
	// initialize battry measuring	
	BattMeasInit();

	
	// Init USB Mass storage class
	ScsiInit();

	// LUNs Init
	LunInit(SD_DISK_LUN, SdDiskInit, SdGetDiskCtrlBkl, SdDiskIO);

	// Init SD card driver
	// SCSI init push init SD driver message for an each LUN
	for(Int32U i = 0; i < SCSI_LUN_NUMB; i++) {
		// Implement LUNs messages
		LunImp(i);
	}

	// Soft connection enable
	USB_ConnectRes(TRUE);
	
	while(1)
	{
		for(Int32U i = 0; i < SCSI_LUN_NUMB; i++) {
			// Implement LUNs messages
			if(LunImp(i)) {
				StatLEDSet(0, TRUE);
			}
			else {
				StatLEDSet(0, FALSE);
			}
		}
		
		// check if USB cable is connected, if NOT just RESET processor
		if( !USBConnectedPinGet() ) {
			ResetDevice();
		}
		
		// routine for battery measuring
		BattMeasDoWork();
	}
}