/*************************************************************************
 *
 *    (c) Olimex Ltd. 2010
 *
 *    File name   : uartUserInterface.c
 *    Description : Implementation of the user interface using USART2 module
 *
 *    History :
 *    1. Date        : 03 May 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/

#ifndef _UART_USER_INTERFACE_H
#define _UART_USER_INTERFACE_H

// list of supported commands
typedef enum _MP3_PLAYER_UART_COMMAND {
	MP3_COMMAND_NONE = 0,
	MP3_COMMAND_LIST_DIR,
	MP3_COMMAND_OPEN_DIR_NAME,
	MP3_COMMAND_OPEN_DIR_INDEX,
	MP3_COMMAND_DIR_UP,
	MP3_COMMAND_PLAY_FILE_NAME,
	MP3_COMMAND_PLAY_FILE_INDEX,
	MP3_COMMAND_TURN_OFF_CODEC,
	MP3_COMMAND_TURN_ON_CODEC,
	MP3_COMMAND_HELP,
	
	// these are only executed during playback
	MP3_COMMAND_STOP,
	MP3_COMMAND_PLAY_PAUSE,
	MP3_COMMAND_VOL_UP,
	MP3_COMMAND_VOL_DN
} MP3_PLAYER_UART_COMMAND;

// control
void UartUserInit(void);
void UartUserDoWork(void);

// RX
MP3_PLAYER_UART_COMMAND UartUserGetCurrentCommand(void);
void UartUserDiscardCurrentCommand(void);
char* UartUserGetParam(int paramIndex);
int UartUserGetParamsNum(void);

Boolean UartUserGenerateCommand(MP3_PLAYER_UART_COMMAND command, char **pParams, int numberOfParams);

// TX
Boolean UartUserAppendMsg(char *msg);
Boolean UartUserResetMsg(void);
void UartUserSendMsg(void);
			
// interrupt handler functions
void UartUserDataReveived(void);
void UartUserDataSent(void);

#endif // _UART_USER_INTERFACE_H